LocalTagEntryImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf.impl

## Class LocalTagEntryImpl

- java.lang.Object
- - tv.amwa.maj.io.mxf.impl.LocalTagEntryImpl

- All Implemented Interfaces:
    Cloneable, MetadataObject, FixedLengthPack, LocalTagEntry, MXFConstants

      @MediaClass(uuid1=259133698,
                  uuid2=256,
                  uuid3=0,
                  uuid4={6,14,43,52,1,1,1,1},
                  definedName="LocalTagEntry",
                  description="MAJ API implementation of a local tag lookup value.",
                  symbol="LocalTagEntry",
                  namespace="http://www.smpte-ra.org/rp210",
                  prefix="mxf")
      public class LocalTagEntryImpl
      extends Object
      implements LocalTagEntry, FixedLengthPack, MetadataObject, Cloneable, MXFConstants

- - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.io.mxf.MXFConstants

      `InstanceTag, InstanceUID, KLVFill, KLVFillOld, RP210_NAMESPACE, RP210_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTagEntryImpl()`
    `LocalTagEntryImpl(short localTag, AUID uid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalTagEntry` | `clone()` Create a cloned copy of this local tag entry.
    `short` | `getLocalTag()` Returns the 2 byte tag of this local entry.
    `String[]` | `getPackOrder()` Returns a list of property names in the order they need to be serialized to a stream.
    `AUID` | `getUID()` Returns the 16 byte key part of the local tag entry.
    `void` | `setLocalTag(short localTag)` Sets the 2 byte tag of this local tag entry.
    `void` | `setUID(AUID uid)` Sets the 16 byte key part of the local tag entry.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTagEntryImpl

          public LocalTagEntryImpl()

    - #### LocalTagEntryImpl

          public LocalTagEntryImpl(@UInt16
                                   short localTag,
                                   AUID uid)
                            throws NullPointerException

      Throws:
        `NullPointerException`

  - ### Method Detail

    - #### getLocalTag

          @MediaProperty(uuid1=16975362,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="Local Tag",
                         aliases="Local Tag Value",
                         typeName="UInt16",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=0,
                         symbol="LocalTag")
           @UInt16
          public short getLocalTag()

      Description copied from interface: `LocalTagEntry`

      Returns the 2 byte tag of this local entry. Negative Java values are treated as their bit-equivalent unsigned integer value, e.g. `-2`is` 0xfffe`.

      Specified by:
        `getLocalTag` in interface `LocalTagEntry`
      Returns:
        2 byte tag of this local entry.

    - #### setLocalTag

          @MediaPropertySetter(value="Local Tag")
          public void setLocalTag(@UInt16
                                                                          short localTag)

      Description copied from interface: `LocalTagEntry`

      Sets the 2 byte tag of this local tag entry. Negative Java values are treated as their bit-equivalent unsigned integer value, e.g. `-2`is` 0xfffe`.

      Specified by:
        `setLocalTag` in interface `LocalTagEntry`
      Parameters:
        `localTag` - 2 byte tag of this local entry.

    - #### getUID

          @MediaProperty(uuid1=16975363,
                         uuid2=0,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,5},
                         definedName="UID",
                         aliases="Local Tag Unique ID",
                         typeName="AUID",
                         optional=false,
                         uniqueIdentifier=true,
                         pid=0,
                         symbol="UID")
          public AUID getUID()

      Description copied from interface: `LocalTagEntry`

      Returns the 16 byte key part of the local tag entry.

      Specified by:
        `getUID` in interface `LocalTagEntry`
      Returns:
        16 byte key part of the local tag entry.

    - #### setUID

          @MediaPropertySetter(value="UID")
          public void setUID(AUID uid)
                                                        throws NullPointerException

      Description copied from interface: `LocalTagEntry`

      Sets the 16 byte key part of the local tag entry.

      Specified by:
        `setUID` in interface `LocalTagEntry`
      Parameters:
        `uid` - 16 byte key part of the local tag entry.
      Throws:
        `NullPointerException` - Cannot set the key part of the local tag entry with a `null` value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPackOrder

          public String[] getPackOrder()

      Description copied from interface: `FixedLengthPack`

      Returns a list of property names in the order they need to be serialized to a stream.

      Specified by:
        `getPackOrder` in interface `FixedLengthPack`
      Returns:
        List of property names in the order they need to be serialized.
      See Also:
        `MXFBuilder.readFixedLengthPack(tv.amwa.maj.record.AUID, java.nio.ByteBuffer)`, `MXFBuilder.writeFixedLengthPack(FixedLengthPack, java.nio.ByteBuffer)`

    - #### clone

          public LocalTagEntry clone()

      Description copied from interface: `LocalTagEntry`

      Create a cloned copy of this local tag entry.

      Specified by:
        `clone` in interface `LocalTagEntry`
      Overrides:
        `clone` in class `Object`
      Returns:
        Cloned copy of this local tag entry.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.